set_image localhost/{{PROJECT}}:latest

# mount app sources and data:
# - /var/app/rollback/volumes can be rolled back on failed
# upgrades, suitable for application sources and assets.
# - /var/app/volumes is not copied on updates and more suitable
# for volatile data such as logs and databases.
add_volumes /var/app/rollback/volumes/{{PROJECT}}:/vol_app
add_volumes /var/app/volumes/{{PROJECT}}:/vol_data

# Allow LED to be written. This is application specific
# and should be changed depending on your needs.
add_volumes /sys:/sys

// for HDMI
add_devices /dev/dri /dev/galcore /dev/tty0
add_devices /dev/input
add_volumes /run/udev:/run/udev:ro
add_args --cap-add=SYS_TTY_CONFIG

# Allow input to containers and see output from containers
add_args -it

# Add environment variables set by Atmark Techno.
add_armadillo_env

# launch app
set_command bash /vol_app/src/main.sh
